Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.TableHeaderActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TableHeaderActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.TableHeaderActions extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FOCUS_TABLE`
`static final String`
`MOVE_COLUMN_LEFT`
`static final String`
`MOVE_COLUMN_RIGHT`
`static final String`
`RESIZE_LEFT`
`static final String`
`RESIZE_RIGHT`
`static final String`
`SELECT_COLUMN_TO_LEFT`
`static final String`
`SELECT_COLUMN_TO_RIGHT`
`static final String`
`TOGGLE_SORT_ORDER`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TableHeaderActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TOGGLE_SORT_ORDER

public static final String TOGGLE_SORT_ORDER

See Also:
  - Constant Field Values

### SELECT_COLUMN_TO_LEFT

public static final String SELECT_COLUMN_TO_LEFT

See Also:
  - Constant Field Values

### SELECT_COLUMN_TO_RIGHT

public static final String SELECT_COLUMN_TO_RIGHT

See Also:
  - Constant Field Values

### MOVE_COLUMN_LEFT

public static final String MOVE_COLUMN_LEFT

See Also:
  - Constant Field Values

### MOVE_COLUMN_RIGHT

public static final String MOVE_COLUMN_RIGHT

See Also:
  - Constant Field Values

### RESIZE_LEFT

public static final String RESIZE_LEFT

See Also:
  - Constant Field Values

### RESIZE_RIGHT

public static final String RESIZE_RIGHT

See Also:
  - Constant Field Values

### FOCUS_TABLE

public static final String FOCUS_TABLE

See Also:
  - Constant Field Values

## Constructor Details

### TableHeaderActions

protected TableHeaderActions()